﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_FeeReceipt>
@{
    ViewBag.Title = "All Receipts";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script>
        deleterecord("TbFeeReceipt");
    </script>
    <script type="text/javascript">

        $(document).ready(function () {

            $("#BranchName").css('width', '100px');

            $("#BranchName").val($("#hiddenbranch").val());

            $('#txtrollno').blur(function () {
                var rollno = $("#txtrollno").val();
                if ($.isNumeric(rollno) || $.isNumeric(rollno)) {


                }
                else {
                    if ($("#txtrollno").val().length > 0) {
                        alert('Roll no must be in integer');
                    }
                }

            });

            $('#txtreceiptno').blur(function () {

                var rollno = $("#txtreceiptno").val();
                if ($.isNumeric(rollno) || $.isNumeric(rollno)) {


                }
                else {

                    if ($("#txtreceiptno").val().length > 0) {
                        alert('Serial No must be in integer');
                    }
                }


            });



            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });






        function Submit() {

            searchfun();



            //   }

            //  else {

            //   alert("Receipt number must be in integer");
            // }

            //   $.post("TbFeeReceipt/Search", { receiptno: receiptno, name: name, course: course, Rollno: rollno })
        }

        function searchfun() {
            var receiptno = ($("#txtreceiptno").val());

            // if ($("#txtreceiptno").val()) {

            var name = $("#txtname").val();
            var course = $("#txtcourse").val();
            var rollno = 0;
            var br = $("#BranchName").val();
            if ($.isNumeric(rollno)) {
                rollno = $("#txtrollno").val();

            }
            else {
                alert('Serial no and Roll no must be in integer');
            }
            window.location.href = "/TbFeeReceipt/SearchAll?receiptno=" + receiptno + "&&course=" + course + "&&Rollno=" + rollno + "&&name=" + name+"&&branc="+br;
        }

    </script>
    <script type="text/javascript">


    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        All FeeReceipts List</h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home")<span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 1000px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                Serial No.
            </td>
            <td>
                <input type="text" style="width: 70px" id="txtreceiptno" value="@ViewBag.receiptno" />
            </td>
            <td style="width: 60px">
                Roll NO.
            </td>
            <td>
                <input type="text" style="width: 130px" id="txtrollno" value="@ViewBag.rolno" />
            </td>
            <td style="vertical-align: middle">
                Name
            </td>
            <td>
                <input type="text" style="width: 130px" id="txtname" value="@ViewBag.name" />
            </td>
            <td style="vertical-align: middle">
                Course
            </td>
            <td>
                <input type="text" style="width: 130px" id="txtcourse" value="@ViewBag.course" />
            </td>
            <td style="vertical-align: middle">
                Branch
            </td>
            <td>@Html.DropDownList("BranchName", "All")
            </td>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                     @*   @Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                        <input type="hidden" id="hiddenbranch" value="@ViewBag.brname" />
                            @Html.DisplayNameFor(model => model.MaAdmission.RollNo)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.MaAdmission.FirstName)
                        </th>
                        <th>
                            Rec. Amt.
                        </th>
                        <th>
                            Discount
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.ReceiptNo)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.MaCourse.CourseName)
                        </th>
                        <th>
                            SNo
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.FeeDate)
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                      string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.FirstName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.PaidAmount)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Discount)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ReceiptNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.LocSerialNo)
                            </td>
                            <td>
                                @{string feedate = string.Format("{0:dd MMM,yyyy}", item.FeeDate);

                                  string feetime = string.Format("{0:HH:mm tt}", item.FeeDate); //this is done because there need some spaces in date and time to display space in view
                                  
                                  
                                }
                                @feedate &nbsp;&nbsp;&nbsp; @feetime
                            </td>
                            <td>
                                @{ 
                                  string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;

                                  if (utype == CommonUtil.UserTypeAdmin || utype == CommonUtil.UserTypeSuperAdmin)
                                  {
                                    
                                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id }) 
                                    @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "TbFeeReceipt", new { id = item.Id }, new { @class = "delete-link" }, null)
                                  }
                                }
                                @Html.ActionLink("Print Report", "PrintReport", "TbFeeReceipt", new { @id = item.Id }, new { @class = "btn btn-primary", @target = "_blank" })
                            </td>
                        </tr>
                   
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>
